Subject: Re: [SK_BUFF]: Fix missing offset adjustment in skb_copy_expand

From: David Miller <[email-masked]>
Date: Tue, 10 Apr 2007 18:31:03 -0700 (PDT)

From: Patrick McHardy <[email-masked]>
Date: Wed, 11 Apr 2007 02:42:59 +0200

> Hi Dave,
> 
> Patrick McHardy wrote:
> > [SK_BUFF]: Fix missing offset adjustment in skb_copy_expand
> > 
> > skb_copy_expand changes the headroom, so it needs to adjust the header
> > offsets by the difference between the old and the new value.
> 
> 
> it seems like you missed this one. Attached again for your convenience.

Thanks a lot Patrick, applied.

I know what happened, I applied the pskb_copy_expand() patch and then
deleted this one by accident since the subject lines looked so
similar and I figured I was just getting a second copy of the same
patch :-)

Thanks again!